Page MenuHomePhabricator

Section Translation Editor: Pick a sentence
Open, MediumPublic

Description

As part of the Mobile editor for Section translation (T243495), users are presented with the section to translate, with the possibility to navigate through it on a sentence-by-sentence basis. This step is about deciding whether to apply the proposed translation or edit it further (editing will happen on a separate step). Once a translation is added, users can select the sentence or paragraph to edit it further (editing also happening on a separate step).

View this step in prototype for a general overview.

General concept

This step provides an overview of the translation process for the selected section. The information needed by the user is broken into smaller pieces and presented in different layers for ease manipulation and access on a mobile device:

  • The contents of the section are provided at the bottom layer. Contents translated and pending translation are presented in the same document (distinguished by color). Initial contents are replaced* by the translated ones.
    • *Internally we may want to keep the mapping between source and translated sentences. Presenting the translated contents as if they replace the original but still be able to show contents side-by-side if needed
  • The highlight is shown over the content layer to indicate the active part of the document .
  • The proposed translation is presented as another layer on top for users to control how to manipulate the piece of active content.
OverviewLayout

Header

Messages:

Translate section

Section contents

Proposed translation

Messages:

Edit translation
Apply
Skip

Translation Options

Start with a different translation
Choose the translation option for the current and following sentences.

Select sentences already translated

Messages:

Your translation
X% edited by you
No edits by you

Tapping on the active sentences

Tapping the highlighted sentence makes the "Proposed translation" card at the bottom to "jump" in order to attract the user attention.

Related Objects

Event Timeline

Pginer-WMF updated the task description. (Show Details)May 5 2020, 4:52 PM
Pginer-WMF updated the task description. (Show Details)May 5 2020, 5:20 PM
Pginer-WMF updated the task description. (Show Details)May 6 2020, 9:06 AM
Pginer-WMF updated the task description. (Show Details)May 14 2020, 10:59 AM
Pginer-WMF updated the task description. (Show Details)May 14 2020, 11:22 AM

Change 611391 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Pick a sentence: Create SXSentenceSelector component

https://gerrit.wikimedia.org/r/611391

Pginer-WMF updated the task description. (Show Details)Jul 13 2020, 6:23 AM

Change 613148 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SXSentenceSelector: Add sentence translation preview

https://gerrit.wikimedia.org/r/613148

Change 611391 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Pick a sentence: Create SXSentenceSelector component

https://gerrit.wikimedia.org/r/611391

Change 616822 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SXSentenceSelector: Add translation options first version

https://gerrit.wikimedia.org/r/616822

Pginer-WMF updated the task description. (Show Details)Jul 31 2020, 7:54 AM

Change 617877 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Content Comparator: Fix showing of target section content

https://gerrit.wikimedia.org/r/617877

Change 617877 merged by Nik Gkountas:
[mediawiki/extensions/ContentTranslation@master] SX Content Comparator: Fix showing of target section content

https://gerrit.wikimedia.org/r/617877

Change 613148 merged by Nik Gkountas:
[mediawiki/extensions/ContentTranslation@master] SXSentenceSelector: Add sentence translation preview

https://gerrit.wikimedia.org/r/613148

Change 616822 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SXSentenceSelector: Add translation options

https://gerrit.wikimedia.org/r/616822